Builds from mwext-testextension jobs sometimes pick up tests from unrelated skins
Closed, ResolvedPublic

Description

Some resource / less compilation tests run from mwext-testextension-hhvm will pick up files from extensions that were not checked out nor enabled for this job run. I manually deleted /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/BlueSky from that slave to work around this for now.

15:50:07 1) /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/BlueSky//resources/css/hacks/general.less in the "skins.bluesky.hacks.general" module
15:50:07 Less_Exception_Compiler: .input_med is undefined in /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/BlueSky/resources/css/hacks/general.less
15:50:07 
15:50:07 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/vendor/oyejorge/less.php/lib/Less/Tree/Mixin/Call.php:148
15:50:07 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/vendor/oyejorge/less.php/lib/Less/Tree/Ruleset.php:147
15:50:07 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/vendor/oyejorge/less.php/lib/Less/Tree/Ruleset.php:88
15:50:07 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/vendor/oyejorge/less.php/lib/Less/Tree/Ruleset.php:94
15:50:07 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/vendor/oyejorge/less.php/lib/Less/Parser.php:196
15:50:07 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/includes/resourceloader/ResourceLoaderFileModule.php:961
15:50:07 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/LessFileCompilationTest.php:46
15:50:07 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:137
15:50:07 
15:50:07 2) /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/BlueSky//resources/css/hacks/mediawiki.action.delete.less in the "skins.bluesky.hacks.action.delete" module
15:50:07 Less_Exception_Compiler: .input_med is undefined in /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/BlueSky/resources/css/hacks/mediawiki.action.delete.less
15:50:07 
15:50:07 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/vendor/oyejorge/less.php/lib/Less/Tree/Mixin/Call.php:148
15:50:07 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/vendor/oyejorge/less.php/lib/Less/Tree/Ruleset.php:147
15:50:07 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/vendor/oyejorge/less.php/lib/Less/Tree/Ruleset.php:88
15:50:07 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/vendor/oyejorge/less.php/lib/Less/Tree/Ruleset.php:94
15:50:07 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/vendor/oyejorge/less.php/lib/Less/Parser.php:196
15:50:07 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/includes/resourceloader/ResourceLoaderFileModule.php:961
15:50:07 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/LessFileCompilationTest.php:46
15:50:07 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:137
15:50:07 
15:50:07 --
15:50:07 
15:50:07 
15:50:07 There were 2 failures:
15:50:07 
15:50:07 1) Warning
15:50:07 The data provider specified for ResourcesTest::testFileExistence is invalid.
15:50:07 ResourceLoaderFileModule::readStyleFile: style file not found: "/mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/BlueSky//resources/src/mediawiki.skinning/interface.css"
15:50:07 
15:50:07 
15:50:07 2) Warning
15:50:07 The data provider specified for ResourcesTest::testStyleMedia is invalid.
15:50:07 ResourceLoaderFileModule::readStyleFile: style file not found: "/mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/BlueSky//resources/src/mediawiki.skinning/interface.css"
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 4 2015, 4:01 PM

Needed to clean this up again on a slave.

Needed to do this again.

21:45:12 1) Warning
21:45:12 The data provider specified for ResourcesTest::testFileExistence is invalid.
21:45:12 ResourceLoaderFileModule::readStyleFile: style file not found: "/mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/BlueSky//resources/src/mediawiki.skinning/interface.css"
21:45:12 
21:45:12 
21:45:12 2) Warning
21:45:12 The data provider specified for ResourcesTest::testStyleMedia is invalid.
21:45:12 ResourceLoaderFileModule::readStyleFile: style file not found: "/mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/BlueSky//resources/src/mediawiki.skinning/interface.css"

integration-slave-trusty-1016:~$ sudo -i rm -rf /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/Donate
https://integration.wikimedia.org/ci/job/mwext-testextension-hhvm/1182/console

10:01:07 Fatal error: Uncaught exception 'InvalidArgumentException' with message 'The value for 'SkipSkins' should be an array' in /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/includes/registration/ExtensionProcessor.php:367
10:01:07 Stack trace:
10:01:07 #0 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/includes/registration/ExtensionProcessor.php(176): ExtensionProcessor->storeToArray()
10:01:07 #1 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/includes/registration/ExtensionRegistry.php(216): ExtensionProcessor->extractInfo()
10:01:07 #2 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/includes/registration/ExtensionRegistry.php(137): ExtensionRegistry->readFromQueue()
10:01:07 #3 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/includes/Setup.php(39): ExtensionRegistry->loadFromQueue()
10:01:07 #4 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/maintenance/doMaintenance.php(97): include()
10:01:07 #5 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/maintenance/update.php(214): include()
10:01:07 #6 {main}

Certain skins have a "testextension" jobs in their experimental pipelines. If someone triggers that job using a skin, it breaks everything. Skins are currently not compatible with the generic job system for extension because they use a different autoloader at install time.

Change 269624 had a related patch set uploaded (by Legoktm):
Test to verify skins do not run 'testextension' jobs

https://gerrit.wikimedia.org/r/269624

Mentioned in SAL [2016-02-16T11:30:54Z] <jzerebecki> T117710 integration-saltmaster:~# salt -v '*slave-trusty*' cmd.run 'rm -rf /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/skins/BlueSky'

Krinkle changed the title from "some tests run from mwext-testextension-hhvm will pick up files from extensions that were not checked out for this job" to "Builds from mwext-testextension jobs sometimes pick up tests from unrelated skins".Mar 7 2016, 11:19 PM
Krinkle set Security to None.
Krinkle added a subscriber: Krinkle.

This happens because Jenkins jobs currently use the workspace as an ad-hoc way of caching git clones. MediaWiki core auto loads any skins present in the skins directory, so they get run even if the job didn't explicitly install them.

This wouldn't happen with git-cache and T96627 of course.

Krinkle removed a subscriber: Krinkle.Mar 8 2016, 12:57 AM
hashar triaged this task as "Normal" priority.Nov 18 2016, 3:12 PM

Change 269624 merged by jenkins-bot:
Test to verify skins do not run 'testextension' jobs

https://gerrit.wikimedia.org/r/269624

hashar closed this task as "Resolved".Jan 2 2017, 4:40 PM
hashar claimed this task.
Krinkle reopened this task as "Open".Feb 22 2017, 7:30 PM

skins.gamepress comes from the Gamepress skin, which shouldn't even be installed in this job.

Indeed, that is because some skins have the zuul template mw-checks-test which has the testextension job in the experimental pipeline. That is not covered by the test Test to verify skins do not run 'testextension' jobs.

@hashar I thought we no longer preserve any working copies for Jenkins jobs. We use zuul cloner and git caching, so this should be easy to fix, right?

That blocked T156333 and caused T158825

There are bunch of random skins floating around:

root@integration-saltmaster:~# salt -v '*slave*' cmd.run 'ls -ld /srv/jenkins-workspace/workspace/mwext-testextension*/src/skins/*'
Executing job with jid 20170223092515857842
-------------------------------------------

integration-slave-trusty-1003.integration.eqiad.wmflabs:
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 20 12:29 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer-non-voting/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 19 15:57 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/skins/README
    drwxr-xr-x 6 jenkins-deploy wikidev 4096 Feb 20 16:28 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer@2/src/skins/DeskMessMirrored
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 19 16:13 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer@2/src/skins/README
    drwxr-xr-x 5 jenkins-deploy wikidev 4096 Jan 28 10:21 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/Dusk
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 16 09:28 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/README
    drwxr-xr-x 7 jenkins-deploy wikidev 4096 Jan 20 16:37 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/Vector
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 16 00:01 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm@2/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 16 11:06 /srv/jenkins-workspace/workspace/mwext-testextension-php55-composer-non-voting/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 12 00:20 /srv/jenkins-workspace/workspace/mwext-testextension-php55-composer/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 17 16:07 /srv/jenkins-workspace/workspace/mwext-testextension-php55-composer@2/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 12 00:00 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 12 07:51 /srv/jenkins-workspace/workspace/mwext-testextension-php55@2/src/skins/README
integration-slave-docker-1000.integration.eqiad.wmflabs:
    ls: cannot access /srv/jenkins-workspace/workspace/mwext-testextension*/src/skins/*: No such file or directory
integration-slave-jessie-android.integration.eqiad.wmflabs:
    ls: cannot access /srv/jenkins-workspace/workspace/mwext-testextension*/src/skins/*: No such file or directory
integration-slave-jessie-1001.integration.eqiad.wmflabs:
    ls: cannot access /srv/jenkins-workspace/workspace/mwext-testextension*/src/skins/*: No such file or directory
integration-slave-trusty-1006.integration.eqiad.wmflabs:
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 21 00:30 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer-non-voting/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 19 09:40 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 24 19:49 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer@2/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 16 09:30 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan  9 17:31 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm@2/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 17 12:55 /srv/jenkins-workspace/workspace/mwext-testextension-php55-composer-non-voting/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan  7 19:14 /srv/jenkins-workspace/workspace/mwext-testextension-php55-composer/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 12 01:02 /srv/jenkins-workspace/workspace/mwext-testextension-php55-composer@2/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 14 13:56 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/skins/README
    drwxr-xr-x 7 jenkins-deploy wikidev 4096 Jan 20 16:51 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/skins/Vector
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan  9 19:34 /srv/jenkins-workspace/workspace/mwext-testextension-php55@2/src/skins/README
integration-slave-trusty-1001.integration.eqiad.wmflabs:
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 19 12:49 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer-non-voting/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 19 09:41 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 19 16:33 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer@2/src/skins/README
    drwxr-xr-x 5 jenkins-deploy wikidev 4096 Feb 19 16:54 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/DeepSea
    drwxr-xr-x 5 jenkins-deploy wikidev 4096 Feb 21 16:34 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/DuskToDawn
    drwxr-xr-x 5 jenkins-deploy wikidev 4096 Feb 22 16:50 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/Gamepress
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 14 20:58 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/README
    drwxr-xr-x 7 jenkins-deploy wikidev 4096 Jan 17 20:55 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/Vector
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 16 09:28 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm@2/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 13 14:31 /srv/jenkins-workspace/workspace/mwext-testextension-php55-composer-non-voting/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 12 00:26 /srv/jenkins-workspace/workspace/mwext-testextension-php55-composer/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 20 13:27 /srv/jenkins-workspace/workspace/mwext-testextension-php55-composer@2/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 11 22:19 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 12 00:40 /srv/jenkins-workspace/workspace/mwext-testextension-php55@2/src/skins/README
integration-slave-precise-1002.integration.eqiad.wmflabs:
    -rw-r--r-- 1 jenkins-deploy wikidev 18026 Jan 26 10:48 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer-non-voting/src/skins/CologneBlue.php
    -rw-r--r-- 1 jenkins-deploy wikidev  5195 Jan 26 10:48 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer-non-voting/src/skins/Modern.php
    -rw-r--r-- 1 jenkins-deploy wikidev 10009 Jan 26 10:48 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer-non-voting/src/skins/MonoBook.php
    -rw-r--r-- 1 jenkins-deploy wikidev 16607 Jan 26 10:48 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer-non-voting/src/skins/Vector.php
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 26 10:48 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer-non-voting/src/skins/cologneblue
    drwxr-xr-x 3 jenkins-deploy wikidev  4096 Jan 26 10:48 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer-non-voting/src/skins/common
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 26 10:48 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer-non-voting/src/skins/modern
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 26 10:48 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer-non-voting/src/skins/monobook
    drwxr-xr-x 4 jenkins-deploy wikidev  4096 Jan 26 10:48 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer-non-voting/src/skins/vector
    -rw-r--r-- 1 jenkins-deploy wikidev 18026 Feb  9 14:48 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/CologneBlue.php
    -rw-r--r-- 1 jenkins-deploy wikidev  5195 Feb  9 14:48 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/Modern.php
    -rw-r--r-- 1 jenkins-deploy wikidev 10009 Feb  9 14:48 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/MonoBook.php
    -rw-r--r-- 1 jenkins-deploy wikidev 16607 Feb  9 14:48 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/Vector.php
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Feb  9 14:48 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/cologneblue
    drwxr-xr-x 3 jenkins-deploy wikidev  4096 Feb  9 14:48 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/common
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Feb  9 14:48 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/modern
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Feb  9 14:48 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/monobook
    drwxr-xr-x 4 jenkins-deploy wikidev  4096 Feb  9 14:48 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/vector
    -rw-r--r-- 1 jenkins-deploy wikidev 18026 Feb  7 11:51 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/CologneBlue.php
    -rw-r--r-- 1 jenkins-deploy wikidev  5195 Feb  7 11:51 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/Modern.php
    -rw-r--r-- 1 jenkins-deploy wikidev 10009 Feb  7 11:51 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/MonoBook.php
    -rw-r--r-- 1 jenkins-deploy wikidev 16607 Feb  7 11:51 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/Vector.php
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Feb  7 11:51 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/cologneblue
    drwxr-xr-x 3 jenkins-deploy wikidev  4096 Feb  7 11:51 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/common
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Feb  7 11:51 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/modern
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Feb  7 11:51 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/monobook
    drwxr-xr-x 4 jenkins-deploy wikidev  4096 Feb  7 11:51 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/vector
    -rw-r--r-- 1 jenkins-deploy wikidev 18026 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/CologneBlue.php
    -rw-r--r-- 1 jenkins-deploy wikidev  5195 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/Modern.php
    -rw-r--r-- 1 jenkins-deploy wikidev 10009 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/MonoBook.php
    -rw-r--r-- 1 jenkins-deploy wikidev 16607 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/Vector.php
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/cologneblue
    drwxr-xr-x 3 jenkins-deploy wikidev  4096 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/common
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/modern
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/monobook
    drwxr-xr-x 4 jenkins-deploy wikidev  4096 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/vector
integration-slave-jessie-1002.integration.eqiad.wmflabs:
    ls: cannot access /srv/jenkins-workspace/workspace/mwext-testextension*/src/skins/*: No such file or directory
integration-slave-trusty-1004.integration.eqiad.wmflabs:
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 19 10:12 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer-non-voting/src/skins/README
    drwxr-xr-x 5 jenkins-deploy wikidev 4096 Feb  6 19:43 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/skins/Bouquet
    drwxr-xr-x 5 jenkins-deploy wikidev 4096 Feb 19 16:54 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/skins/DeepSea
    drwxr-xr-x 5 jenkins-deploy wikidev 4096 Feb 21 16:35 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/skins/DuskToDawn
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 19 15:29 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 20 13:24 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer@2/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 24 17:36 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/README
    drwxr-xr-x 7 jenkins-deploy wikidev 4096 Jan 20 16:51 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/Vector
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan  9 08:09 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm@2/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 11 09:25 /srv/jenkins-workspace/workspace/mwext-testextension-php55-composer-non-voting/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 11 09:27 /srv/jenkins-workspace/workspace/mwext-testextension-php55-composer-non-voting@2/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan  7 19:14 /srv/jenkins-workspace/workspace/mwext-testextension-php55-composer/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 10 10:43 /srv/jenkins-workspace/workspace/mwext-testextension-php55-composer@2/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 14 15:24 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/skins/README
    drwxr-xr-x 7 jenkins-deploy wikidev 4096 Jan 20 16:04 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/skins/Vector
    drwxr-xr-x 2 jenkins-deploy wikidev 4096 Feb 22 00:03 /srv/jenkins-workspace/workspace/mwext-testextension-php55@2/src/skins/CologneBlue
    drwxr-xr-x 2 jenkins-deploy wikidev 4096 Feb 22 00:03 /srv/jenkins-workspace/workspace/mwext-testextension-php55@2/src/skins/Modern
    drwxr-xr-x 2 jenkins-deploy wikidev 4096 Feb 22 00:03 /srv/jenkins-workspace/workspace/mwext-testextension-php55@2/src/skins/MonoBook
    drwxr-xr-x 2 jenkins-deploy wikidev 4096 Feb 22 00:03 /srv/jenkins-workspace/workspace/mwext-testextension-php55@2/src/skins/Nostalgia
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan  7 20:46 /srv/jenkins-workspace/workspace/mwext-testextension-php55@2/src/skins/README
    drwxr-xr-x 7 jenkins-deploy wikidev 4096 Feb  5 14:17 /srv/jenkins-workspace/workspace/mwext-testextension-php55@2/src/skins/Vector
integration-slave-trusty-1011.integration.eqiad.wmflabs:
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 19 15:02 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer-non-voting/src/skins/README
    drwxr-xr-x 5 jenkins-deploy wikidev 4096 Jan 28 10:21 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/skins/Dusk
    drwxr-xr-x 5 jenkins-deploy wikidev 4096 Feb 22 16:50 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/skins/Gamepress
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 19 09:48 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 19 09:54 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer@2/src/skins/README
    drwxr-xr-x 5 jenkins-deploy wikidev 4096 Feb  6 19:43 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/Bouquet
    drwxr-xr-x 6 jenkins-deploy wikidev 4096 Feb 20 16:28 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/DeskMessMirrored
    drwxr-xr-x 5 jenkins-deploy wikidev 4096 Jan 12 17:14 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/Material
    drwxr-xr-x 5 jenkins-deploy wikidev 4096 Jan  9 13:06 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/Nimbus
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 24 17:33 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/README
    drwxr-xr-x 7 jenkins-deploy wikidev 4096 Feb  5 14:17 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/skins/Vector
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan  7 20:49 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm@2/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 12 18:51 /srv/jenkins-workspace/workspace/mwext-testextension-php55-composer-non-voting/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan  9 00:46 /srv/jenkins-workspace/workspace/mwext-testextension-php55-composer/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan  9 00:53 /srv/jenkins-workspace/workspace/mwext-testextension-php55-composer@2/src/skins/README
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan 14 17:27 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/skins/README
    drwxr-xr-x 7 jenkins-deploy wikidev 4096 Jan 17 20:55 /srv/jenkins-workspace/workspace/mwext-testextension-php55/src/skins/Vector
    -rw-r--r-- 1 jenkins-deploy wikidev 1208 Jan  7 20:48 /srv/jenkins-workspace/workspace/mwext-testextension-php55@2/src/skins/README
integration-slave-precise-1011.integration.eqiad.wmflabs:
    -rw-r--r-- 1 jenkins-deploy wikidev 18026 Feb  7 11:47 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/CologneBlue.php
    -rw-r--r-- 1 jenkins-deploy wikidev  5195 Feb  7 11:47 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/Modern.php
    -rw-r--r-- 1 jenkins-deploy wikidev 10009 Feb  7 11:47 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/MonoBook.php
    -rw-r--r-- 1 jenkins-deploy wikidev 16607 Feb  7 11:47 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/Vector.php
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Feb  7 11:47 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/cologneblue
    drwxr-xr-x 3 jenkins-deploy wikidev  4096 Feb  7 11:47 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/common
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Feb  7 11:47 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/modern
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Feb  7 11:47 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/monobook
    drwxr-xr-x 4 jenkins-deploy wikidev  4096 Feb  7 11:47 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/vector
    -rw-r--r-- 1 jenkins-deploy wikidev 18026 Jan 31 22:14 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/CologneBlue.php
    -rw-r--r-- 1 jenkins-deploy wikidev  5195 Jan 31 22:14 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/Modern.php
    -rw-r--r-- 1 jenkins-deploy wikidev 10009 Jan 31 22:14 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/MonoBook.php
    -rw-r--r-- 1 jenkins-deploy wikidev 16607 Jan 31 22:14 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/Vector.php
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 31 22:14 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/cologneblue
    drwxr-xr-x 3 jenkins-deploy wikidev  4096 Jan 31 22:14 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/common
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 31 22:14 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/modern
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 31 22:14 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/monobook
    drwxr-xr-x 4 jenkins-deploy wikidev  4096 Jan 31 22:14 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/vector
    -rw-r--r-- 1 jenkins-deploy wikidev 18026 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/CologneBlue.php
    -rw-r--r-- 1 jenkins-deploy wikidev  5195 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/Modern.php
    -rw-r--r-- 1 jenkins-deploy wikidev 10009 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/MonoBook.php
    -rw-r--r-- 1 jenkins-deploy wikidev 16607 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/Vector.php
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/cologneblue
    drwxr-xr-x 3 jenkins-deploy wikidev  4096 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/common
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/modern
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/monobook
    drwxr-xr-x 4 jenkins-deploy wikidev  4096 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/vector
    -rw-r--r-- 1 jenkins-deploy wikidev 18026 Jan 27 10:51 /srv/jenkins-workspace/workspace/mwext-testextension-php53@3/src/skins/CologneBlue.php
    -rw-r--r-- 1 jenkins-deploy wikidev  5195 Jan 27 10:51 /srv/jenkins-workspace/workspace/mwext-testextension-php53@3/src/skins/Modern.php
    -rw-r--r-- 1 jenkins-deploy wikidev 10009 Jan 27 10:51 /srv/jenkins-workspace/workspace/mwext-testextension-php53@3/src/skins/MonoBook.php
    -rw-r--r-- 1 jenkins-deploy wikidev 16607 Jan 27 10:51 /srv/jenkins-workspace/workspace/mwext-testextension-php53@3/src/skins/Vector.php
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 27 10:51 /srv/jenkins-workspace/workspace/mwext-testextension-php53@3/src/skins/cologneblue
    drwxr-xr-x 3 jenkins-deploy wikidev  4096 Jan 27 10:51 /srv/jenkins-workspace/workspace/mwext-testextension-php53@3/src/skins/common
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 27 10:51 /srv/jenkins-workspace/workspace/mwext-testextension-php53@3/src/skins/modern
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 27 10:51 /srv/jenkins-workspace/workspace/mwext-testextension-php53@3/src/skins/monobook
    drwxr-xr-x 4 jenkins-deploy wikidev  4096 Jan 27 10:51 /srv/jenkins-workspace/workspace/mwext-testextension-php53@3/src/skins/vector
integration-slave-precise-1012.integration.eqiad.wmflabs:
    -rw-r--r-- 1 jenkins-deploy wikidev 18026 Feb  4 12:06 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer-non-voting/src/skins/CologneBlue.php
    -rw-r--r-- 1 jenkins-deploy wikidev  5195 Feb  4 12:06 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer-non-voting/src/skins/Modern.php
    -rw-r--r-- 1 jenkins-deploy wikidev 10009 Feb  4 12:06 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer-non-voting/src/skins/MonoBook.php
    -rw-r--r-- 1 jenkins-deploy wikidev 16607 Feb  4 12:06 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer-non-voting/src/skins/Vector.php
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Feb  4 12:06 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer-non-voting/src/skins/cologneblue
    drwxr-xr-x 3 jenkins-deploy wikidev  4096 Feb  4 12:06 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer-non-voting/src/skins/common
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Feb  4 12:06 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer-non-voting/src/skins/modern
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Feb  4 12:06 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer-non-voting/src/skins/monobook
    drwxr-xr-x 4 jenkins-deploy wikidev  4096 Feb  4 12:06 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer-non-voting/src/skins/vector
    -rw-r--r-- 1 jenkins-deploy wikidev 18026 Feb  7 12:06 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/CologneBlue.php
    -rw-r--r-- 1 jenkins-deploy wikidev  5195 Feb  7 12:06 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/Modern.php
    -rw-r--r-- 1 jenkins-deploy wikidev 10009 Feb  7 12:06 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/MonoBook.php
    -rw-r--r-- 1 jenkins-deploy wikidev 16607 Feb  7 12:06 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/Vector.php
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Feb  7 12:06 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/cologneblue
    drwxr-xr-x 3 jenkins-deploy wikidev  4096 Feb  7 12:06 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/common
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Feb  7 12:06 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/modern
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Feb  7 12:06 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/monobook
    drwxr-xr-x 4 jenkins-deploy wikidev  4096 Feb  7 12:06 /srv/jenkins-workspace/workspace/mwext-testextension-php53-composer/src/skins/vector
    -rw-r--r-- 1 jenkins-deploy wikidev 18026 Feb  7 12:02 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/CologneBlue.php
    -rw-r--r-- 1 jenkins-deploy wikidev  5195 Feb  7 12:02 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/Modern.php
    -rw-r--r-- 1 jenkins-deploy wikidev 10009 Feb  7 12:02 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/MonoBook.php
    -rw-r--r-- 1 jenkins-deploy wikidev 16607 Feb  7 12:02 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/Vector.php
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Feb  7 12:02 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/cologneblue
    drwxr-xr-x 3 jenkins-deploy wikidev  4096 Feb  7 12:02 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/common
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Feb  7 12:02 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/modern
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Feb  7 12:02 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/monobook
    drwxr-xr-x 4 jenkins-deploy wikidev  4096 Feb  7 12:02 /srv/jenkins-workspace/workspace/mwext-testextension-php53/src/skins/vector
    -rw-r--r-- 1 jenkins-deploy wikidev 18026 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/CologneBlue.php
    -rw-r--r-- 1 jenkins-deploy wikidev  5195 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/Modern.php
    -rw-r--r-- 1 jenkins-deploy wikidev 10009 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/MonoBook.php
    -rw-r--r-- 1 jenkins-deploy wikidev 16607 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/Vector.php
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/cologneblue
    drwxr-xr-x 3 jenkins-deploy wikidev  4096 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/common
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/modern
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/monobook
    drwxr-xr-x 4 jenkins-deploy wikidev  4096 Jan 27 10:50 /srv/jenkins-workspace/workspace/mwext-testextension-php53@2/src/skins/vector
    -rw-r--r-- 1 jenkins-deploy wikidev 18026 Jan 27 10:53 /srv/jenkins-workspace/workspace/mwext-testextension-php53@3/src/skins/CologneBlue.php
    -rw-r--r-- 1 jenkins-deploy wikidev  5195 Jan 27 10:53 /srv/jenkins-workspace/workspace/mwext-testextension-php53@3/src/skins/Modern.php
    -rw-r--r-- 1 jenkins-deploy wikidev 10009 Jan 27 10:53 /srv/jenkins-workspace/workspace/mwext-testextension-php53@3/src/skins/MonoBook.php
    -rw-r--r-- 1 jenkins-deploy wikidev 16607 Jan 27 10:53 /srv/jenkins-workspace/workspace/mwext-testextension-php53@3/src/skins/Vector.php
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 27 10:53 /srv/jenkins-workspace/workspace/mwext-testextension-php53@3/src/skins/cologneblue
    drwxr-xr-x 3 jenkins-deploy wikidev  4096 Jan 27 10:53 /srv/jenkins-workspace/workspace/mwext-testextension-php53@3/src/skins/common
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 27 10:53 /srv/jenkins-workspace/workspace/mwext-testextension-php53@3/src/skins/modern
    drwxr-xr-x 2 jenkins-deploy wikidev  4096 Jan 27 10:53 /srv/jenkins-workspace/workspace/mwext-testextension-php53@3/src/skins/monobook
    drwxr-xr-x 4 jenkins-deploy wikidev  4096 Jan 27 10:53 /srv/jenkins-workspace/workspace/mwext-testextension-php53@3/src/skins/vector
root@integration-saltmaster:~#

Mentioned in SAL (#wikimedia-releng) [2017-02-23T09:27:22Z] <hashar> Clearing skins from testextension jobs T117710 salt -v '*slave*' cmd.run 'rm -fR /srv/jenkins-workspace/workspace/mwext-testextension*/src/skins/*'

Change 339373 had a related patch set uploaded (by Hashar):
Remove mwext-* job from mw-checks-test experimental

https://gerrit.wikimedia.org/r/339373

Change 339373 merged by jenkins-bot:
Remove mwext-* job from mw-checks-test experimental

https://gerrit.wikimedia.org/r/339373

hashar closed this task as "Resolved".Mar 28 2017, 8:15 PM
hashar added a subscriber: Krinkle.

@hashar I thought we no longer preserve any working copies for Jenkins jobs. We use zuul cloner and git caching, so this should be easy to fix, right?

Indeed that is definitely fixed. The jobs got migrated to Nodepool back in December 2016 via https://gerrit.wikimedia.org/r/#/c/292509/